Bug 442329

Summary: Review Request: gnome-lirc-properties - Infrared Remote Controls setup tool
Product: [Fedora] Fedora Reporter: Bastien Nocera <bnocera>
Component: Package ReviewAssignee: Dan Horák <dan>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, mathias.hasselmann, murrayc, notting
Target Milestone: ---Flags: dan: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-23 05:25:42 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 442248, 442328, 442341    
Bug Blocks:    

Description Bastien Nocera 2008-04-14 08:58:42 EDT
gnome-lirc-properties helps users set up infrared remote controls for use with
the LIRC framework.

No packages yet, it needs quite a bit of porting work.
Comment 2 Bastien Nocera 2008-06-03 06:12:41 EDT
Updated packages:
http://people.redhat.com/bnocera/gnome-lirc-properties/gnome-lirc-properties.spec
http://people.redhat.com/bnocera/gnome-lirc-properties/gnome-lirc-properties-0.2.7-1.fc9.src.rpm

Code patches are in (include support, resume irrecord support), remote DB is at
a static location. Just missing some initscripts and sysconfig changes from bug
442341.
Comment 3 Bastien Nocera 2008-06-05 10:27:08 EDT
We also need the patch from http://bugzilla.gnome.org/show_bug.cgi?id=536811
Comment 4 Bastien Nocera 2008-06-30 14:32:05 EDT
I'm currently working my way through fixing upstream problems in
gnome-lirc-properties. See http://bugzilla.gnome.org/show_bug.cgi?id=530359 for
details.
Comment 5 Bastien Nocera 2008-07-01 11:50:35 EDT
Updated packages:
http://people.redhat.com/bnocera/gnome-lirc-properties/gnome-lirc-properties-0.2.8-1.fc9.src.rpm
http://people.redhat.com/bnocera/gnome-lirc-properties/gnome-lirc-properties.spec

The only thing missing is a requires on a newer PolicyKit (which I built yesterday).
Comment 6 Dan Horák 2008-07-03 10:40:00 EDT
formal review:

OK	source files match upstream:
	    240068639dec59409f29b1b1ba881db557fcace8  gnome-lirc-properties-0.2.8.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2+). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
BAD	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
BAD	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
BAD	scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
BAD	is a GUI app.


bugs
* %{_sysconfdir}/dbus-1/system.d/*.conf must be marked as %config
* use %{_datadir}/omf/gnome-lirc-properties (the whole directory) in %files
* desktop file not installed or validated
(https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files + some
discussion on fedora-{devel,packaging} regarding the use of
desktop-file-validate), calling desktop-file-validate should be sufficient in
this case
* the scriptlets need minor updates to fully comform the
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets

additional notes
* occurrences of the string "g-l-p" could be replaced by %{name}, but this is
only my opinion
* call to autoconf can be replaced with autoreconf
Comment 7 Bastien Nocera 2008-07-03 11:02:50 EDT
(In reply to comment #6)
> formal review:
> 
<snip>
> BAD	rpmlint is silent.
<snip>
> BAD	owns the directories it creates.
<snip>
> BAD	scriptlets present.
<snip>
> BAD	is a GUI app.


> bugs
> * %{_sysconfdir}/dbus-1/system.d/*.conf must be marked as %config

It's not a configuration file, and it shouldn't be marked as %config, otherwise
newer versions of gnome-lirc-properties might not launch the service properly.

> * use %{_datadir}/omf/gnome-lirc-properties (the whole directory) in %files

Done.

> * desktop file not installed or validated
> (https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files + some
> discussion on fedora-{devel,packaging} regarding the use of
> desktop-file-validate), calling desktop-file-validate should be sufficient in
> this case

I'm not the one providing the desktop file, it's an upstream file. I can
certainly add a validate call, but using install is useless, as we're not
providing the desktop file ourselves.

> * the scriptlets need minor updates to fully comform the
> https://fedoraproject.org/wiki/Packaging/ScriptletSnippets

I removed the calls to update-desktop-database, as there's no mime-types in the
desktop file. Rest is fixed.

> additional notes
> * occurrences of the string "g-l-p" could be replaced by %{name}, but this is
> only my opinion

I've replaced it where it matters.

> * call to autoconf can be replaced with autoreconf

I'd rather it be broken when a Makefile.am is updated and I forget to call it.

Updated package:
http://people.redhat.com/bnocera/gnome-lirc-properties/gnome-lirc-properties-0.2.8-2.fc9.src.rpm
http://people.redhat.com/bnocera/gnome-lirc-properties/gnome-lirc-properties.spec
Comment 8 Dan Horák 2008-07-03 11:29:05 EDT
> > bugs
> > * %{_sysconfdir}/dbus-1/system.d/*.conf must be marked as %config
> 
> It's not a configuration file, and it shouldn't be marked as %config, otherwise
> newer versions of gnome-lirc-properties might not launch the service properly.

OK, there is nothing specific in the Guidelines and some other packages mark
such files as %config. An improvement to rpmlint will be required :-)

> > * desktop file not installed or validated
> > (https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files + some
> > discussion on fedora-{devel,packaging} regarding the use of
> > desktop-file-validate), calling desktop-file-validate should be sufficient in
> > this case
> 
> I'm not the one providing the desktop file, it's an upstream file. I can
> certainly add a validate call, but using install is useless, as we're not
> providing the desktop file ourselves.

Yes, that is correct only to validate the desktop when an upstream version is used.

This PACKAGE is APPROVED.
Comment 9 Bastien Nocera 2008-07-03 11:37:10 EDT
New Package CVS Request
=======================
Package Name: gnome-lirc-properties
Short Description: Infrared Remote Controls setup tool
Owners: hadess
Branches: 
InitialCC:
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-07-04 15:43:58 EDT
cvs done.
Comment 11 Dan Horák 2008-07-23 05:14:42 EDT
Bastian, you should close the bug after importing and building.
Comment 12 Bastien Nocera 2008-07-23 05:25:42 EDT
Forgot for some reason.